// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/sip/guthaben/guthaben.proto

package guthaben

import (
	money "gitlab.ethz.ch/vseth/0403-isg/libraries/protostub-golang/vseth/type/money"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Status describes the different states a transaction can be in
type Transaction_Status int32

const (
	// Default
	// UNCONFIRMED is a transaction that was created but not confirmed.
	// It does not (yet) affect the funds.
	Transaction_UNCONFIRMED Transaction_Status = 0
	// CONFIRMED is a transaction that was created and confirmed.
	// It affects the funds and can no longer be cancelled.
	Transaction_CONFIRMED Transaction_Status = 1
	// CANCELLED is a transaction that was cancelled after it was created.
	// It does not affect the funds.
	Transaction_CANCELLED Transaction_Status = 2
)

// Enum value maps for Transaction_Status.
var (
	Transaction_Status_name = map[int32]string{
		0: "UNCONFIRMED",
		1: "CONFIRMED",
		2: "CANCELLED",
	}
	Transaction_Status_value = map[string]int32{
		"UNCONFIRMED": 0,
		"CONFIRMED":   1,
		"CANCELLED":   2,
	}
)

func (x Transaction_Status) Enum() *Transaction_Status {
	p := new(Transaction_Status)
	*p = x
	return p
}

func (x Transaction_Status) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Transaction_Status) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sip_guthaben_guthaben_proto_enumTypes[0].Descriptor()
}

func (Transaction_Status) Type() protoreflect.EnumType {
	return &file_vseth_sip_guthaben_guthaben_proto_enumTypes[0]
}

func (x Transaction_Status) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Transaction_Status.Descriptor instead.
func (Transaction_Status) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{5, 0}
}

// Type describes the type of transaction this is
type Transaction_Type int32

const (
	// Default
	// SPEND is a transaction in which Guthaben is used to pay.
	// Needs to be confirmed with ConfirmTransaction
	Transaction_SPEND Transaction_Type = 0
	// TOPUP is a transaction is which Guthaben was bought.
	// Does not need to be confirmed with ConfirmTransaction.
	Transaction_TOPUP Transaction_Type = 1
	// REFUND is a transaction where something was refunded in the form of Guthaben.
	// Does not need to be confirmed with ConfirmTransaction.
	Transaction_REFUND Transaction_Type = 2
	// PAYOUT is a transaction in which Guthaben was payed out as "real" money.
	// Does not need to be confirmed with ConfirmTransaction.
	Transaction_PAYOUT Transaction_Type = 3
)

// Enum value maps for Transaction_Type.
var (
	Transaction_Type_name = map[int32]string{
		0: "SPEND",
		1: "TOPUP",
		2: "REFUND",
		3: "PAYOUT",
	}
	Transaction_Type_value = map[string]int32{
		"SPEND":  0,
		"TOPUP":  1,
		"REFUND": 2,
		"PAYOUT": 3,
	}
)

func (x Transaction_Type) Enum() *Transaction_Type {
	p := new(Transaction_Type)
	*p = x
	return p
}

func (x Transaction_Type) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Transaction_Type) Descriptor() protoreflect.EnumDescriptor {
	return file_vseth_sip_guthaben_guthaben_proto_enumTypes[1].Descriptor()
}

func (Transaction_Type) Type() protoreflect.EnumType {
	return &file_vseth_sip_guthaben_guthaben_proto_enumTypes[1]
}

func (x Transaction_Type) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Transaction_Type.Descriptor instead.
func (Transaction_Type) EnumDescriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{5, 1}
}

type ListTransactionsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Resource name of account holder to list the transactions of. accounts/<user-sub>
	// Only admins may request an account other than their own or not specify an account (gives all transactions)
	// Optional (see above)
	Account string `protobuf:"bytes,1,opt,name=account,proto3" json:"account,omitempty"`
	// Not implemented
	Filter string `protobuf:"bytes,2,opt,name=filter,proto3" json:"filter,omitempty"`
	// Not implemented
	OrderBy string `protobuf:"bytes,3,opt,name=order_by,json=orderBy,proto3" json:"order_by,omitempty"`
	// Pagination information
	PageToken string `protobuf:"bytes,4,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	PageSize  int32  `protobuf:"varint,5,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
}

func (x *ListTransactionsRequest) Reset() {
	*x = ListTransactionsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTransactionsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTransactionsRequest) ProtoMessage() {}

func (x *ListTransactionsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTransactionsRequest.ProtoReflect.Descriptor instead.
func (*ListTransactionsRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{0}
}

func (x *ListTransactionsRequest) GetAccount() string {
	if x != nil {
		return x.Account
	}
	return ""
}

func (x *ListTransactionsRequest) GetFilter() string {
	if x != nil {
		return x.Filter
	}
	return ""
}

func (x *ListTransactionsRequest) GetOrderBy() string {
	if x != nil {
		return x.OrderBy
	}
	return ""
}

func (x *ListTransactionsRequest) GetPageToken() string {
	if x != nil {
		return x.PageToken
	}
	return ""
}

func (x *ListTransactionsRequest) GetPageSize() int32 {
	if x != nil {
		return x.PageSize
	}
	return 0
}

type ListTransactionsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Output only.
	Transactions []*Transaction `protobuf:"bytes,1,rep,name=transactions,proto3" json:"transactions,omitempty"`
	// Pagination information
	TotalSize     int32  `protobuf:"varint,2,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	NextPageToken string `protobuf:"bytes,3,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
}

func (x *ListTransactionsResponse) Reset() {
	*x = ListTransactionsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListTransactionsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListTransactionsResponse) ProtoMessage() {}

func (x *ListTransactionsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListTransactionsResponse.ProtoReflect.Descriptor instead.
func (*ListTransactionsResponse) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{1}
}

func (x *ListTransactionsResponse) GetTransactions() []*Transaction {
	if x != nil {
		return x.Transactions
	}
	return nil
}

func (x *ListTransactionsResponse) GetTotalSize() int32 {
	if x != nil {
		return x.TotalSize
	}
	return 0
}

func (x *ListTransactionsResponse) GetNextPageToken() string {
	if x != nil {
		return x.NextPageToken
	}
	return ""
}

type GetTransactionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Rersource name of the transaction. transaction/<transaction-id>
	// Required.
	Transaction string `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
}

func (x *GetTransactionRequest) Reset() {
	*x = GetTransactionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetTransactionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetTransactionRequest) ProtoMessage() {}

func (x *GetTransactionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetTransactionRequest.ProtoReflect.Descriptor instead.
func (*GetTransactionRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{2}
}

func (x *GetTransactionRequest) GetTransaction() string {
	if x != nil {
		return x.Transaction
	}
	return ""
}

type CreateTransactionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required.
	Transaction *Transaction `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
}

func (x *CreateTransactionRequest) Reset() {
	*x = CreateTransactionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateTransactionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateTransactionRequest) ProtoMessage() {}

func (x *CreateTransactionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateTransactionRequest.ProtoReflect.Descriptor instead.
func (*CreateTransactionRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{3}
}

func (x *CreateTransactionRequest) GetTransaction() *Transaction {
	if x != nil {
		return x.Transaction
	}
	return nil
}

// Only relevant for SPEND transactions
type ConfirmTransactionRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Resource name of the transaction to confirm. transactions/<transaction-id>
	// Required.
	Transaction string `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
	// Resource name of the account to bill this transaction on. acounts/<sub>
	// Required.
	Account string `protobuf:"bytes,2,opt,name=account,proto3" json:"account,omitempty"`
}

func (x *ConfirmTransactionRequest) Reset() {
	*x = ConfirmTransactionRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfirmTransactionRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfirmTransactionRequest) ProtoMessage() {}

func (x *ConfirmTransactionRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfirmTransactionRequest.ProtoReflect.Descriptor instead.
func (*ConfirmTransactionRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{4}
}

func (x *ConfirmTransactionRequest) GetTransaction() string {
	if x != nil {
		return x.Transaction
	}
	return ""
}

func (x *ConfirmTransactionRequest) GetAccount() string {
	if x != nil {
		return x.Account
	}
	return ""
}

type Transaction struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Rersource name of the transaction. transaction/<transaction-id>
	// Output only.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Resource name of the account. accounts/<user-sub>
	// TOPUP, REFUND, PAYOUT: Required
	// SPEND: Output only
	Account string `protobuf:"bytes,2,opt,name=account,proto3" json:"account,omitempty"`
	// The amount of the transaction
	// Required.
	Amount *money.Money `protobuf:"bytes,3,opt,name=amount,proto3" json:"amount,omitempty"`
	// Until when this transaction can be confirmed. Afterward, it will be cancelled.
	// TOPUP, REFUND, PAYOUT: Output only
	// SPEND: Required
	ExpireTime *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=expire_time,json=expireTime,proto3" json:"expire_time,omitempty"`
	// Reference to what this transaction is paying for or what it was payed with.
	// Which reference is set depends on the transaction type
	//
	// Types that are assignable to Reference:
	//	*Transaction_Order
	//	*Transaction_Gateway
	//	*Transaction_Bill
	Reference isTransaction_Reference `protobuf_oneof:"reference"`
	// The type of the transaction - SPEND, TOPUP, REFUND, PAYOUT
	// Required.
	Type Transaction_Type `protobuf:"varint,9,opt,name=type,proto3,enum=vseth.sip.guthaben.Transaction_Type" json:"type,omitempty"`
	// The status of the transaction - UNCONFIRMED, CONFIRMED, CANCELLED
	// Output only.
	Status Transaction_Status `protobuf:"varint,10,opt,name=status,proto3,enum=vseth.sip.guthaben.Transaction_Status" json:"status,omitempty"`
	// @@experimental by isg till 15.07.2021
	// URL to the related checkout page. Only relevant for SPEND, TOPUP
	CheckoutUrl string `protobuf:"bytes,13,opt,name=checkout_url,json=checkoutUrl,proto3" json:"checkout_url,omitempty"`
	// @@experimental by isg till 15.07.2021
	// URL to the transaction
	Url string `protobuf:"bytes,14,opt,name=url,proto3" json:"url,omitempty"`
	// The time at which this transaction was created
	// Output only.
	CreateTime *timestamppb.Timestamp `protobuf:"bytes,11,opt,name=create_time,json=createTime,proto3" json:"create_time,omitempty"`
	// The time the transaction was last modified (last status change)
	// Output only.
	UpdateTime *timestamppb.Timestamp `protobuf:"bytes,12,opt,name=update_time,json=updateTime,proto3" json:"update_time,omitempty"`
}

func (x *Transaction) Reset() {
	*x = Transaction{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Transaction) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Transaction) ProtoMessage() {}

func (x *Transaction) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Transaction.ProtoReflect.Descriptor instead.
func (*Transaction) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{5}
}

func (x *Transaction) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Transaction) GetAccount() string {
	if x != nil {
		return x.Account
	}
	return ""
}

func (x *Transaction) GetAmount() *money.Money {
	if x != nil {
		return x.Amount
	}
	return nil
}

func (x *Transaction) GetExpireTime() *timestamppb.Timestamp {
	if x != nil {
		return x.ExpireTime
	}
	return nil
}

func (m *Transaction) GetReference() isTransaction_Reference {
	if m != nil {
		return m.Reference
	}
	return nil
}

func (x *Transaction) GetOrder() string {
	if x, ok := x.GetReference().(*Transaction_Order); ok {
		return x.Order
	}
	return ""
}

func (x *Transaction) GetGateway() string {
	if x, ok := x.GetReference().(*Transaction_Gateway); ok {
		return x.Gateway
	}
	return ""
}

func (x *Transaction) GetBill() string {
	if x, ok := x.GetReference().(*Transaction_Bill); ok {
		return x.Bill
	}
	return ""
}

func (x *Transaction) GetType() Transaction_Type {
	if x != nil {
		return x.Type
	}
	return Transaction_SPEND
}

func (x *Transaction) GetStatus() Transaction_Status {
	if x != nil {
		return x.Status
	}
	return Transaction_UNCONFIRMED
}

func (x *Transaction) GetCheckoutUrl() string {
	if x != nil {
		return x.CheckoutUrl
	}
	return ""
}

func (x *Transaction) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *Transaction) GetCreateTime() *timestamppb.Timestamp {
	if x != nil {
		return x.CreateTime
	}
	return nil
}

func (x *Transaction) GetUpdateTime() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdateTime
	}
	return nil
}

type isTransaction_Reference interface {
	isTransaction_Reference()
}

type Transaction_Order struct {
	// Relevant only for TOPUP and REFUND
	// TOPUP: Output only, reference to the order in which this topup is payed
	// REFUND: Required, reference to the order being (partially) refunded
	Order string `protobuf:"bytes,6,opt,name=order,proto3,oneof"`
}

type Transaction_Gateway struct {
	// Relevant for SPEND
	// Required
	Gateway string `protobuf:"bytes,7,opt,name=gateway,proto3,oneof"`
}

type Transaction_Bill struct {
	// Relevant for PAYOUT
	// Required, exact role yet to be determined
	Bill string `protobuf:"bytes,8,opt,name=bill,proto3,oneof"`
}

func (*Transaction_Order) isTransaction_Reference() {}

func (*Transaction_Gateway) isTransaction_Reference() {}

func (*Transaction_Bill) isTransaction_Reference() {}

type ListAccountsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Not implemented
	Filter string `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// Not implemented
	OrderBy string `protobuf:"bytes,2,opt,name=order_by,json=orderBy,proto3" json:"order_by,omitempty"`
	// Pagination information
	PageToken string `protobuf:"bytes,3,opt,name=page_token,json=pageToken,proto3" json:"page_token,omitempty"`
	PageSize  int32  `protobuf:"varint,5,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
}

func (x *ListAccountsRequest) Reset() {
	*x = ListAccountsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListAccountsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListAccountsRequest) ProtoMessage() {}

func (x *ListAccountsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListAccountsRequest.ProtoReflect.Descriptor instead.
func (*ListAccountsRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{6}
}

func (x *ListAccountsRequest) GetFilter() string {
	if x != nil {
		return x.Filter
	}
	return ""
}

func (x *ListAccountsRequest) GetOrderBy() string {
	if x != nil {
		return x.OrderBy
	}
	return ""
}

func (x *ListAccountsRequest) GetPageToken() string {
	if x != nil {
		return x.PageToken
	}
	return ""
}

func (x *ListAccountsRequest) GetPageSize() int32 {
	if x != nil {
		return x.PageSize
	}
	return 0
}

type ListAccountsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Output only.
	Accounts []*Account `protobuf:"bytes,1,rep,name=accounts,proto3" json:"accounts,omitempty"`
	// Pagination information
	TotalSize     int32  `protobuf:"varint,2,opt,name=total_size,json=totalSize,proto3" json:"total_size,omitempty"`
	NextPageToken string `protobuf:"bytes,3,opt,name=next_page_token,json=nextPageToken,proto3" json:"next_page_token,omitempty"`
}

func (x *ListAccountsResponse) Reset() {
	*x = ListAccountsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListAccountsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListAccountsResponse) ProtoMessage() {}

func (x *ListAccountsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListAccountsResponse.ProtoReflect.Descriptor instead.
func (*ListAccountsResponse) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{7}
}

func (x *ListAccountsResponse) GetAccounts() []*Account {
	if x != nil {
		return x.Accounts
	}
	return nil
}

func (x *ListAccountsResponse) GetTotalSize() int32 {
	if x != nil {
		return x.TotalSize
	}
	return 0
}

func (x *ListAccountsResponse) GetNextPageToken() string {
	if x != nil {
		return x.NextPageToken
	}
	return ""
}

type GetAccountRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Resource name of the account. accounts/<user-sub>
	// Required.
	Account string `protobuf:"bytes,1,opt,name=account,proto3" json:"account,omitempty"`
}

func (x *GetAccountRequest) Reset() {
	*x = GetAccountRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetAccountRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAccountRequest) ProtoMessage() {}

func (x *GetAccountRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAccountRequest.ProtoReflect.Descriptor instead.
func (*GetAccountRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{8}
}

func (x *GetAccountRequest) GetAccount() string {
	if x != nil {
		return x.Account
	}
	return ""
}

type CreateAccountRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required.
	Account *Account `protobuf:"bytes,1,opt,name=account,proto3" json:"account,omitempty"`
}

func (x *CreateAccountRequest) Reset() {
	*x = CreateAccountRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateAccountRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateAccountRequest) ProtoMessage() {}

func (x *CreateAccountRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateAccountRequest.ProtoReflect.Descriptor instead.
func (*CreateAccountRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{9}
}

func (x *CreateAccountRequest) GetAccount() *Account {
	if x != nil {
		return x.Account
	}
	return nil
}

type Account struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Resource name of the account
	// Output only.
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Sub of the user this account belongs to
	// Required.
	Sub string `protobuf:"bytes,2,opt,name=sub,proto3" json:"sub,omitempty"`
	// Current balance on this account
	// Output only.
	Balance *money.Money `protobuf:"bytes,3,opt,name=balance,proto3" json:"balance,omitempty"`
	// The time at which the balance was computed
	// Output only.
	CalculationTime *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=calculation_time,json=calculationTime,proto3" json:"calculation_time,omitempty"`
	// Set if the user has to payout (part of) their Guthaben
	// Output only.
	HasMustPayout bool `protobuf:"varint,5,opt,name=has_must_payout,json=hasMustPayout,proto3" json:"has_must_payout,omitempty"`
	// The latest time by which a user must pay out their Guthaben
	// Only relevant if has_must_payout is set
	// Output only.
	MustPayoutDate *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=must_payout_date,json=mustPayoutDate,proto3" json:"must_payout_date,omitempty"`
	// The time at which this account was created.
	// Output only.
	CreateTime *timestamppb.Timestamp `protobuf:"bytes,7,opt,name=create_time,json=createTime,proto3" json:"create_time,omitempty"`
	// The time at which this account was last modified.
	// Output only.
	UpdateTime *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=update_time,json=updateTime,proto3" json:"update_time,omitempty"`
}

func (x *Account) Reset() {
	*x = Account{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Account) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Account) ProtoMessage() {}

func (x *Account) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Account.ProtoReflect.Descriptor instead.
func (*Account) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{10}
}

func (x *Account) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Account) GetSub() string {
	if x != nil {
		return x.Sub
	}
	return ""
}

func (x *Account) GetBalance() *money.Money {
	if x != nil {
		return x.Balance
	}
	return nil
}

func (x *Account) GetCalculationTime() *timestamppb.Timestamp {
	if x != nil {
		return x.CalculationTime
	}
	return nil
}

func (x *Account) GetHasMustPayout() bool {
	if x != nil {
		return x.HasMustPayout
	}
	return false
}

func (x *Account) GetMustPayoutDate() *timestamppb.Timestamp {
	if x != nil {
		return x.MustPayoutDate
	}
	return nil
}

func (x *Account) GetCreateTime() *timestamppb.Timestamp {
	if x != nil {
		return x.CreateTime
	}
	return nil
}

func (x *Account) GetUpdateTime() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdateTime
	}
	return nil
}

type CreatePayOutRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Resource name of the account holder
	Account string `protobuf:"bytes,1,opt,name=account,proto3" json:"account,omitempty"`
	// The amount to pay out.
	Amount *money.Money `protobuf:"bytes,2,opt,name=amount,proto3" json:"amount,omitempty"`
}

func (x *CreatePayOutRequest) Reset() {
	*x = CreatePayOutRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreatePayOutRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreatePayOutRequest) ProtoMessage() {}

func (x *CreatePayOutRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_guthaben_guthaben_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreatePayOutRequest.ProtoReflect.Descriptor instead.
func (*CreatePayOutRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP(), []int{11}
}

func (x *CreatePayOutRequest) GetAccount() string {
	if x != nil {
		return x.Account
	}
	return ""
}

func (x *CreatePayOutRequest) GetAmount() *money.Money {
	if x != nil {
		return x.Amount
	}
	return nil
}

var File_vseth_sip_guthaben_guthaben_proto protoreflect.FileDescriptor

var file_vseth_sip_guthaben_guthaben_proto_rawDesc = []byte{
	0x0a, 0x21, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x67, 0x75, 0x74, 0x68,
	0x61, 0x62, 0x65, 0x6e, 0x2f, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x12, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x16, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x74, 0x79, 0x70,
	0x65, 0x2f, 0x6d, 0x6f, 0x6e, 0x65, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa2, 0x01,
	0x0a, 0x17, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x19, 0x0a, 0x08, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x5f, 0x62, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x42, 0x79, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x74,
	0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x61, 0x67, 0x65,
	0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x73, 0x69,
	0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x53, 0x69,
	0x7a, 0x65, 0x22, 0xa6, 0x01, 0x0a, 0x18, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x43, 0x0a, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0c, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x73, 0x69,
	0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x53,
	0x69, 0x7a, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x6e, 0x65, 0x78, 0x74, 0x5f, 0x70, 0x61, 0x67, 0x65,
	0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x6e, 0x65,
	0x78, 0x74, 0x50, 0x61, 0x67, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x22, 0x39, 0x0a, 0x15, 0x47,
	0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x20, 0x0a, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73,
	0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x5d, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x41, 0x0a, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72, 0x61,
	0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x57, 0x0a, 0x19, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x20, 0x0a, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x22, 0x92,
	0x05, 0x0a, 0x0b, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x12,
	0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x29, 0x0a, 0x06,
	0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x4d, 0x6f, 0x6e, 0x65, 0x79, 0x52,
	0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x3b, 0x0a, 0x0b, 0x65, 0x78, 0x70, 0x69, 0x72,
	0x65, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65,
	0x54, 0x69, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x05, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x12, 0x1a, 0x0a, 0x07,
	0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52,
	0x07, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x12, 0x14, 0x0a, 0x04, 0x62, 0x69, 0x6c, 0x6c,
	0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52, 0x04, 0x62, 0x69, 0x6c, 0x6c, 0x12, 0x38,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x24, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65,
	0x6e, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x54, 0x79,
	0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x3e, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x26, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x68, 0x65, 0x63,
	0x6b, 0x6f, 0x75, 0x74, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b,
	0x63, 0x68, 0x65, 0x63, 0x6b, 0x6f, 0x75, 0x74, 0x55, 0x72, 0x6c, 0x12, 0x10, 0x0a, 0x03, 0x75,
	0x72, 0x6c, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x72, 0x6c, 0x12, 0x3b, 0x0a,
	0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x0b, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x3b, 0x0a, 0x0b, 0x75, 0x70,
	0x64, 0x61, 0x74, 0x65, 0x5f, 0x74, 0x69, 0x6d, 0x65, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x22, 0x37, 0x0a, 0x06, 0x53, 0x74, 0x61, 0x74, 0x75,
	0x73, 0x12, 0x0f, 0x0a, 0x0b, 0x55, 0x4e, 0x43, 0x4f, 0x4e, 0x46, 0x49, 0x52, 0x4d, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x0d, 0x0a, 0x09, 0x43, 0x4f, 0x4e, 0x46, 0x49, 0x52, 0x4d, 0x45, 0x44, 0x10,
	0x01, 0x12, 0x0d, 0x0a, 0x09, 0x43, 0x41, 0x4e, 0x43, 0x45, 0x4c, 0x4c, 0x45, 0x44, 0x10, 0x02,
	0x22, 0x34, 0x0a, 0x04, 0x54, 0x79, 0x70, 0x65, 0x12, 0x09, 0x0a, 0x05, 0x53, 0x50, 0x45, 0x4e,
	0x44, 0x10, 0x00, 0x12, 0x09, 0x0a, 0x05, 0x54, 0x4f, 0x50, 0x55, 0x50, 0x10, 0x01, 0x12, 0x0a,
	0x0a, 0x06, 0x52, 0x45, 0x46, 0x55, 0x4e, 0x44, 0x10, 0x02, 0x12, 0x0a, 0x0a, 0x06, 0x50, 0x41,
	0x59, 0x4f, 0x55, 0x54, 0x10, 0x03, 0x42, 0x0b, 0x0a, 0x09, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65,
	0x6e, 0x63, 0x65, 0x22, 0x84, 0x01, 0x0a, 0x13, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x66,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x12, 0x19, 0x0a, 0x08, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x62, 0x79, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x42, 0x79, 0x12, 0x1d,
	0x0a, 0x0a, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x70, 0x61, 0x67, 0x65, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x12, 0x1b, 0x0a,
	0x09, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x08, 0x70, 0x61, 0x67, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x22, 0x96, 0x01, 0x0a, 0x14, 0x4c,
	0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x37, 0x0a, 0x08, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x18,
	0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x52, 0x08, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x12, 0x1d, 0x0a, 0x0a,
	0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x09, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x53, 0x69, 0x7a, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x6e,
	0x65, 0x78, 0x74, 0x5f, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x6e, 0x65, 0x78, 0x74, 0x50, 0x61, 0x67, 0x65, 0x54, 0x6f,
	0x6b, 0x65, 0x6e, 0x22, 0x2d, 0x0a, 0x11, 0x47, 0x65, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75,
	0x6e, 0x74, 0x22, 0x4d, 0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x63, 0x63, 0x6f,
	0x75, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x35, 0x0a, 0x07, 0x61, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e,
	0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x22, 0x8b, 0x03, 0x0a, 0x07, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d,
	0x65, 0x12, 0x10, 0x0a, 0x03, 0x73, 0x75, 0x62, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03,
	0x73, 0x75, 0x62, 0x12, 0x2b, 0x0a, 0x07, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x11, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70,
	0x65, 0x2e, 0x4d, 0x6f, 0x6e, 0x65, 0x79, 0x52, 0x07, 0x62, 0x61, 0x6c, 0x61, 0x6e, 0x63, 0x65,
	0x12, 0x45, 0x0a, 0x10, 0x63, 0x61, 0x6c, 0x63, 0x75, 0x6c, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x74, 0x69, 0x6d, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0f, 0x63, 0x61, 0x6c, 0x63, 0x75, 0x6c, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0f, 0x68, 0x61, 0x73, 0x5f, 0x6d,
	0x75, 0x73, 0x74, 0x5f, 0x70, 0x61, 0x79, 0x6f, 0x75, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x0d, 0x68, 0x61, 0x73, 0x4d, 0x75, 0x73, 0x74, 0x50, 0x61, 0x79, 0x6f, 0x75, 0x74, 0x12,
	0x44, 0x0a, 0x10, 0x6d, 0x75, 0x73, 0x74, 0x5f, 0x70, 0x61, 0x79, 0x6f, 0x75, 0x74, 0x5f, 0x64,
	0x61, 0x74, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0e, 0x6d, 0x75, 0x73, 0x74, 0x50, 0x61, 0x79, 0x6f, 0x75,
	0x74, 0x44, 0x61, 0x74, 0x65, 0x12, 0x3b, 0x0a, 0x0b, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x5f,
	0x74, 0x69, 0x6d, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x69,
	0x6d, 0x65, 0x12, 0x3b, 0x0a, 0x0b, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x5f, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x22,
	0x5a, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x79, 0x4f, 0x75, 0x74, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e,
	0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x12, 0x29, 0x0a, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x11, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x2e, 0x4d, 0x6f,
	0x6e, 0x65, 0x79, 0x52, 0x06, 0x61, 0x6d, 0x6f, 0x75, 0x6e, 0x74, 0x32, 0xf1, 0x05, 0x0a, 0x08,
	0x47, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x12, 0x6d, 0x0a, 0x10, 0x4c, 0x69, 0x73, 0x74,
	0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x2b, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65,
	0x6e, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2c, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5c, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x29, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x47,
	0x65, 0x74, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x62, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54,
	0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x2c, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x64, 0x0a, 0x12, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x72, 0x6d, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x2d, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68,
	0x61, 0x62, 0x65, 0x6e, 0x2e, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x54, 0x72, 0x61, 0x6e,
	0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1f,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61,
	0x62, 0x65, 0x6e, 0x2e, 0x54, 0x72, 0x61, 0x6e, 0x73, 0x61, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x61, 0x0a, 0x0c, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x12,
	0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68,
	0x61, 0x62, 0x65, 0x6e, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x4c, 0x69,
	0x73, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x50, 0x0a, 0x0a, 0x47, 0x65, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x12, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74,
	0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x47, 0x65, 0x74, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x41, 0x63, 0x63,
	0x6f, 0x75, 0x6e, 0x74, 0x12, 0x56, 0x0a, 0x0d, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x63,
	0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x28, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x75, 0x74, 0x68,
	0x61, 0x62, 0x65, 0x6e, 0x2e, 0x41, 0x63, 0x63, 0x6f, 0x75, 0x6e, 0x74, 0x12, 0x41, 0x0a, 0x0f,
	0x43, 0x68, 0x65, 0x63, 0x6b, 0x4c, 0x69, 0x76, 0x65, 0x6c, 0x69, 0x6e, 0x65, 0x73, 0x73, 0x12,
	0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42,
	0x66, 0x0a, 0x15, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x67, 0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x50, 0x01, 0x5a, 0x4b, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72,
	0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f,
	0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x67,
	0x75, 0x74, 0x68, 0x61, 0x62, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_sip_guthaben_guthaben_proto_rawDescOnce sync.Once
	file_vseth_sip_guthaben_guthaben_proto_rawDescData = file_vseth_sip_guthaben_guthaben_proto_rawDesc
)

func file_vseth_sip_guthaben_guthaben_proto_rawDescGZIP() []byte {
	file_vseth_sip_guthaben_guthaben_proto_rawDescOnce.Do(func() {
		file_vseth_sip_guthaben_guthaben_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_sip_guthaben_guthaben_proto_rawDescData)
	})
	return file_vseth_sip_guthaben_guthaben_proto_rawDescData
}

var file_vseth_sip_guthaben_guthaben_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_vseth_sip_guthaben_guthaben_proto_msgTypes = make([]protoimpl.MessageInfo, 12)
var file_vseth_sip_guthaben_guthaben_proto_goTypes = []interface{}{
	(Transaction_Status)(0),           // 0: vseth.sip.guthaben.Transaction.Status
	(Transaction_Type)(0),             // 1: vseth.sip.guthaben.Transaction.Type
	(*ListTransactionsRequest)(nil),   // 2: vseth.sip.guthaben.ListTransactionsRequest
	(*ListTransactionsResponse)(nil),  // 3: vseth.sip.guthaben.ListTransactionsResponse
	(*GetTransactionRequest)(nil),     // 4: vseth.sip.guthaben.GetTransactionRequest
	(*CreateTransactionRequest)(nil),  // 5: vseth.sip.guthaben.CreateTransactionRequest
	(*ConfirmTransactionRequest)(nil), // 6: vseth.sip.guthaben.ConfirmTransactionRequest
	(*Transaction)(nil),               // 7: vseth.sip.guthaben.Transaction
	(*ListAccountsRequest)(nil),       // 8: vseth.sip.guthaben.ListAccountsRequest
	(*ListAccountsResponse)(nil),      // 9: vseth.sip.guthaben.ListAccountsResponse
	(*GetAccountRequest)(nil),         // 10: vseth.sip.guthaben.GetAccountRequest
	(*CreateAccountRequest)(nil),      // 11: vseth.sip.guthaben.CreateAccountRequest
	(*Account)(nil),                   // 12: vseth.sip.guthaben.Account
	(*CreatePayOutRequest)(nil),       // 13: vseth.sip.guthaben.CreatePayOutRequest
	(*money.Money)(nil),               // 14: vseth.type.Money
	(*timestamppb.Timestamp)(nil),     // 15: google.protobuf.Timestamp
	(*emptypb.Empty)(nil),             // 16: google.protobuf.Empty
}
var file_vseth_sip_guthaben_guthaben_proto_depIdxs = []int32{
	7,  // 0: vseth.sip.guthaben.ListTransactionsResponse.transactions:type_name -> vseth.sip.guthaben.Transaction
	7,  // 1: vseth.sip.guthaben.CreateTransactionRequest.transaction:type_name -> vseth.sip.guthaben.Transaction
	14, // 2: vseth.sip.guthaben.Transaction.amount:type_name -> vseth.type.Money
	15, // 3: vseth.sip.guthaben.Transaction.expire_time:type_name -> google.protobuf.Timestamp
	1,  // 4: vseth.sip.guthaben.Transaction.type:type_name -> vseth.sip.guthaben.Transaction.Type
	0,  // 5: vseth.sip.guthaben.Transaction.status:type_name -> vseth.sip.guthaben.Transaction.Status
	15, // 6: vseth.sip.guthaben.Transaction.create_time:type_name -> google.protobuf.Timestamp
	15, // 7: vseth.sip.guthaben.Transaction.update_time:type_name -> google.protobuf.Timestamp
	12, // 8: vseth.sip.guthaben.ListAccountsResponse.accounts:type_name -> vseth.sip.guthaben.Account
	12, // 9: vseth.sip.guthaben.CreateAccountRequest.account:type_name -> vseth.sip.guthaben.Account
	14, // 10: vseth.sip.guthaben.Account.balance:type_name -> vseth.type.Money
	15, // 11: vseth.sip.guthaben.Account.calculation_time:type_name -> google.protobuf.Timestamp
	15, // 12: vseth.sip.guthaben.Account.must_payout_date:type_name -> google.protobuf.Timestamp
	15, // 13: vseth.sip.guthaben.Account.create_time:type_name -> google.protobuf.Timestamp
	15, // 14: vseth.sip.guthaben.Account.update_time:type_name -> google.protobuf.Timestamp
	14, // 15: vseth.sip.guthaben.CreatePayOutRequest.amount:type_name -> vseth.type.Money
	2,  // 16: vseth.sip.guthaben.Guthaben.ListTransactions:input_type -> vseth.sip.guthaben.ListTransactionsRequest
	4,  // 17: vseth.sip.guthaben.Guthaben.GetTransaction:input_type -> vseth.sip.guthaben.GetTransactionRequest
	5,  // 18: vseth.sip.guthaben.Guthaben.CreateTransaction:input_type -> vseth.sip.guthaben.CreateTransactionRequest
	6,  // 19: vseth.sip.guthaben.Guthaben.ConfirmTransaction:input_type -> vseth.sip.guthaben.ConfirmTransactionRequest
	8,  // 20: vseth.sip.guthaben.Guthaben.ListAccounts:input_type -> vseth.sip.guthaben.ListAccountsRequest
	10, // 21: vseth.sip.guthaben.Guthaben.GetAccount:input_type -> vseth.sip.guthaben.GetAccountRequest
	11, // 22: vseth.sip.guthaben.Guthaben.CreateAccount:input_type -> vseth.sip.guthaben.CreateAccountRequest
	16, // 23: vseth.sip.guthaben.Guthaben.CheckLiveliness:input_type -> google.protobuf.Empty
	3,  // 24: vseth.sip.guthaben.Guthaben.ListTransactions:output_type -> vseth.sip.guthaben.ListTransactionsResponse
	7,  // 25: vseth.sip.guthaben.Guthaben.GetTransaction:output_type -> vseth.sip.guthaben.Transaction
	7,  // 26: vseth.sip.guthaben.Guthaben.CreateTransaction:output_type -> vseth.sip.guthaben.Transaction
	7,  // 27: vseth.sip.guthaben.Guthaben.ConfirmTransaction:output_type -> vseth.sip.guthaben.Transaction
	9,  // 28: vseth.sip.guthaben.Guthaben.ListAccounts:output_type -> vseth.sip.guthaben.ListAccountsResponse
	12, // 29: vseth.sip.guthaben.Guthaben.GetAccount:output_type -> vseth.sip.guthaben.Account
	12, // 30: vseth.sip.guthaben.Guthaben.CreateAccount:output_type -> vseth.sip.guthaben.Account
	16, // 31: vseth.sip.guthaben.Guthaben.CheckLiveliness:output_type -> google.protobuf.Empty
	24, // [24:32] is the sub-list for method output_type
	16, // [16:24] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_vseth_sip_guthaben_guthaben_proto_init() }
func file_vseth_sip_guthaben_guthaben_proto_init() {
	if File_vseth_sip_guthaben_guthaben_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTransactionsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListTransactionsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetTransactionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateTransactionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfirmTransactionRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Transaction); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListAccountsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListAccountsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetAccountRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateAccountRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Account); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_guthaben_guthaben_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreatePayOutRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_vseth_sip_guthaben_guthaben_proto_msgTypes[5].OneofWrappers = []interface{}{
		(*Transaction_Order)(nil),
		(*Transaction_Gateway)(nil),
		(*Transaction_Bill)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_sip_guthaben_guthaben_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   12,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_sip_guthaben_guthaben_proto_goTypes,
		DependencyIndexes: file_vseth_sip_guthaben_guthaben_proto_depIdxs,
		EnumInfos:         file_vseth_sip_guthaben_guthaben_proto_enumTypes,
		MessageInfos:      file_vseth_sip_guthaben_guthaben_proto_msgTypes,
	}.Build()
	File_vseth_sip_guthaben_guthaben_proto = out.File
	file_vseth_sip_guthaben_guthaben_proto_rawDesc = nil
	file_vseth_sip_guthaben_guthaben_proto_goTypes = nil
	file_vseth_sip_guthaben_guthaben_proto_depIdxs = nil
}
